Bug 283351 - a2x calls non-existent fop.sh
a2x calls non-existent fop.sh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: asciidoc (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
: 397861 517315 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 21:20 EDT by Horst H. von Brand
Modified: 2010-06-28 06:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2007-09-07 21:20:50 EDT
Description of problem:


Version-Release number of selected component (if applicable):
asciidoc-8.1.0-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. a2x -f pdf -d book mybook.txt
2.
3.
  
Actual results:
a2x: failed: cannot find required program: fop.sh

Expected results:
PDF formated document

Additional info:
FOP is a Java program from Apache <http://xmlgraphics.apache.org/fop>
Comment 1 Horst H. von Brand 2007-09-18 21:49:46 EDT
Still the same with asciidoc-8.2.2-1.fc8
Comment 2 Horst H. von Brand 2008-01-10 12:31:24 EST
No change in asciidoc-8.2.5-2.fc9
Comment 3 Matthias Saou 2008-02-14 07:21:04 EST
*** Bug 397861 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2008-05-13 23:12:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Horst H. von Brand 2008-11-23 22:05:24 EST
There is a /usr/bin/fop (from fop-0.95-0.2.beta1.noarch) that looks like it is what this is looking for...
Comment 6 Bug Zapper 2008-11-25 20:59:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Horst H. von Brand 2009-01-15 11:36:22 EST
asciidoc is still at asciidoc-8.2.5-2.fc9.noarch in rawhide, and still fails just the same... while upstream is 8.3.3 now. Is this package abandoned?
Comment 8 Horst H. von Brand 2009-01-15 11:57:59 EST
Just checked, upstream asciidoc (straight from http://hg.sharesource.org/asciidoc as of today) doesn't have this bug.
Comment 9 Jon Ciesla 2009-01-15 15:32:47 EST
Fixable with 8.2.7.  I have it packaged and ready to go.  Awaiting word from Chris.
Comment 10 Horst H. von Brand 2009-01-16 12:14:40 EST
On rawhide x86_64, with asciidoc from Mercurial as of today, git documentation (from upstream git as of today too) builds just fine. It also doesn't complain about deprecated stuff as in asciidoc-8.2.5-2.fc9.noarch:

 /usr/bin/asciidoc:9: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import sys, os, re, string, time, traceback, tempfile, popen2, codecs, locale

It also complains a lot less about the files themselves.
Comment 11 Horst H. von Brand 2009-01-16 12:50:05 EST
On rawhide x86_64, with asciidoc from Mercurial as of today, git documentation (from upstream git as of today too) builds fine (except for git-init, git-cvsserver, git-svn). It also doesn't complain about deprecated stuff as in asciidoc-8.2.5-2.fc9.noarch:

 /usr/bin/asciidoc:9: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import sys, os, re, string, time, traceback, tempfile, popen2, codecs, locale

It also complains a lot less about the files themselves (missing author, etc).

But now setting ASCIIDOC8 is required (it wasn't before).
Comment 12 Jon Ciesla 2009-01-16 14:03:31 EST
8.3.3 gives the same error building git docs as 8.2.7:

make[2]: Entering directory `/home/limb/rpmbuild/BUILD/git-1.6.1'
make[2]: `GIT-VERSION-FILE' is up to date.
make[2]: Leaving directory `/home/limb/rpmbuild/BUILD/git-1.6.1'
rm -f git-add.html+ git-add.html
asciidoc -b xhtml11 -d manpage -f asciidoc.conf \
                 -a docbook-xsl-172 -agit_version=1.6.1 -o git-add.html+ git-add.txt
ERROR: unsafe: include file: /etc/asciidoc/./stylesheets/xhtml11.css
ERROR: unsafe: include file: /etc/asciidoc/./stylesheets/xhtml11-manpage.css
ERROR: unsafe: include file: /etc/asciidoc/./stylesheets/xhtml11-quirks.css
make[1]: *** [git-add.html] Error 1
make[1]: Leaving directory `/home/limb/rpmbuild/BUILD/git-1.6.1/Documentation'
make: *** [doc] Error 2
Comment 13 Horst H. von Brand 2009-01-16 19:15:01 EST
The above is without ASCIIDOC8 (that adds "-a asciidoc7compatible") and adding DOCBOOK_XSL_172 (which adds "-a docbook-xsl-172"). In my experience, ASCIIDOC8 is needed now, DOCBOOK_XSL_172 isn't.

Tried with latest git (v1.6.1-149-g7bbd8d6) and also with 1.6.1, here (asciidoc head, installed in my account) it works for git-add at least.

What does this "ERROR: unsafe: ..." mean? My (limited!) understanding of the Python code is that it is checking if the file is in a "safe" directory, and it sure looks that way for "/etc/asciidoc/stylesheets"...
Comment 14 Jon Ciesla 2009-01-20 12:55:50 EST
Wierd, I grabbed the 1.6.1 from rawhide and even the steps from #13 don't help.  It just won't build, same errors as above.  Maybe there's a new BuildRequires needed that you have that I don't?
Comment 15 Bug Zapper 2009-06-09 05:17:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Michael Ploujnikov 2009-08-13 09:29:52 EDT
*** Bug 517315 has been marked as a duplicate of this bug. ***
Comment 17 Todd Zullinger 2009-08-13 19:47:29 EDT
FWIW, I think the 'ERROR: unsafe: include file' issues are fixed in asciidoc-8.4.5-3.fc12 that I built a night or so ago.  That build defaults to "unsafe" mode, which is more or less what upstream recommended when I asked about the problem.  They're considering just dropping the whole 'safe/unsafe' bits from the code.
Comment 18 Bug Zapper 2010-04-27 07:45:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 06:26:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.